## kernel-headers-2.2.20-m68k 2.2.20-1

=== debian/changelog ===
kernel-headers-2.2.20-m68k (2.2.20-1) unstable; urgency=low

  * Initial release.

 -- Nick Holgate <holgate@debian.org>  Sun, 25 Nov 2001 00:50:15 +0000

Local variables:
mode: debian-changelog
End:
