=== debian/control ===
Source: kernel-headers-2.2.20-m68k
Section: devel
Priority: optional
Maintainer:  Nick Holgate <holgate@debian.org>
Standards-Version: 3.5.2
Build-Depends: gcc272, kernel-source-2.2.20, kernel-patch-2.2.20-m68k, debhelper, bzip2

Package: kernel-headers-2.2.20
Architecture: m68k
Depends: fileutils (>= 4.0)
Provides: kernel-headers
Description: Header files related to a specific m68k Linux kernel.
 This package provides kernel header files, for sites that want the latest
 kernel headers.
 Please read /usr/share/doc/kernel-headers-2.2.20/debian.README.gz for details.
