=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for m68k kernel packages
#

VERSION        := 2.2.20

SHELL          := /bin/bash -e
PATCHES        := /usr/src/kernel-patches/m68k/$(VERSION)

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

MAKEKPKG       := make-kpkg
ifneq ($(DEB_BUILD_ARCH),m68k)
MAKEKPKG       += --arch m68k --cross_compile m68k-linux
endif

build: build-stamp
build-stamp: unpack-stamp patch-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf kernel-source-$(VERSION)
	rm -f *.deb *-stamp debian/files
	dh_clean

unpack: unpack-stamp
unpack-stamp:
	if   [ -f   /usr/src/kernel-source-$(VERSION).tar ]; then \
		 tar xf /usr/src/kernel-source-$(VERSION).tar;        \
	else bzcat  /usr/src/kernel-source-$(VERSION).tar.bz2 | tar xf -; fi
	touch unpack-stamp

patch: patch-stamp
patch-stamp: unpack-stamp
	dh_testdir
	cd kernel-source-$(VERSION); $(PATCHES)/apply/apply
	touch patch-stamp

unpatch: patch-stamp
	dh_testdir
	cd kernel-source-$(VERSION); $(PATCHES)/unpatch/unpatch
	rm -f patch-stamp

headers: headers-stamp
headers-stamp: build-stamp
	dh_testdir
	dh_testroot
	cd kernel-source-$(VERSION); $(MAKEKPKG) clean
	mkdir -p                kernel-source-$(VERSION)/debian
	cp debian/control       kernel-source-$(VERSION)/debian
	cp debian/changelog     kernel-source-$(VERSION)/debian
	cp debian/kernel-config kernel-source-$(VERSION)/.config
	touch                   kernel-source-$(VERSION)/debian/official
	cd kernel-source-$(VERSION); \
	$(MAKEKPKG) kernel_headers
	cat kernel-source-$(VERSION)/debian/files >>debian/files
	mv *.deb ..
	touch headers-stamp

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: headers-stamp

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary
.PHONY: unpack patch unpatch headers
